This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 999874 - XLS Decision Table creation fails with useless message if no file is selected
XLS Decision Table creation fails with useless message if no file is selected
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER5
: 6.0.0
Assigned To: Mark Proctor
Tomas David
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 05:54 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:17:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error popup (123.18 KB, image/png)
2013-08-22 05:54 EDT, Zuzana Krejčová
no flags Details
server log excerpt (8.17 KB, text/x-log)
2013-08-22 05:55 EDT, Zuzana Krejčová
no flags Details

  None (edit)
Description Zuzana Krejčová 2013-08-22 05:54:37 EDT
Created attachment 789108 [details]
error popup

Description of problem:
If you don't select any file to upload, while creating a new XLS Decision Table, the action fails. You get only a useless message about an internal error (see screenshot).


Version-Release number of selected component (if applicable):
6.0 ER1


How reproducible:


Steps to Reproduce:
1. Open the business-central, Project Authoring, some group, repository, project and package.
2. Click New Item and choose Decision Table (Spreadsheet).
3. Type some name. Don't select any XLS file. 
4. Click OK.


Actual results:
"Upload failed: <h1>JBWEB000065: HTTP Status 500 - </h1>...."


Expected results:
Asset is created without any file being uploaded - which is to be done later.
OR
The action still fails but with some meaningful message.


Additional info:
The error pop-up will be filed as a separate BZ.
Comment 1 Zuzana Krejčová 2013-08-22 05:55:11 EDT
Created attachment 789109 [details]
server log excerpt
Comment 2 manstis 2013-09-06 11:47:11 EDT
Jervis, you're familiar with the file upload code (the XLS Decision Table and XLS Score Card upload widget is effectively the same as that for adding JARs to Guvnor's M2 Repo). Can you please make sure a meaningful message is displayed (you might also want to check the GM2 JAR upload too).
Comment 5 Tomas David 2013-12-13 02:38:38 EST
Verified on BPMS 6.0.0.ER5.

Note You need to log in before you can comment on or make changes to this bug.